#!/usr/bin/env python3

from components import IRCSocketClient, Composer
from plugins import *
from abots.net import PrefixSocketClient
from abots.helpers import Logger, infinitedict, isnumeric, coroutine, generator

from os import remove as delete_file
from os.path import isfile

logname = "babili_irc_client"
logfile = f"{logname}.log"
if isfile(logfile):
    delete_file(logfile)
settings = infinitedict()
settings["file"]["formatter"] = "%(message)s"
settings["stream"]["formatter"] = "%(message)s"
logger = Logger(logname, settings=settings)
logger.start()

composer = Composer(logger)

irc_host = "irc.freenode.net"#"irc.tilde.chat"#"localhost"
irc_port = 6697
irc_timeout = 3
irc_args = irc_host, irc_port, irc_timeout, True
irc_client, inbox, outbox, events = composer.start_socket(*irc_args)
irc_client.ready.wait()
composer.set_state("irc-host", irc_host)

irc_client.send("USER babili - - -")
irc_client.send("NICK babili")

#composer.subscribe("startup/init")
#composer.subscribe_many(["startup/init", "debug/log"])
#composer.get_messages(irc_client)
